import { WechatBase } from '../Base';
export declare type GetTicket = () => Promise<string>;
export declare type SetTicket = (ticket: string) => Promise<any>;
export declare class TicketHandler {
    last?: Promise<string>;
    /**
     * 获取 jsapi-ticket
     *
     * 该接口成功获取 ticket 之后会调用 setTicketHandler 传入的 setTicket
     *
     */
    fetchJsapiTicket(this: TicketHandler & WechatBase): Promise<string>;
    _fetchJsapiTicket(this: TicketHandler & WechatBase): Promise<any>;
    getTicket(this: TicketHandler & WechatBase): Promise<string>;
    setTicket(_ticket: string): Promise<void>;
    setJsapiTicketHandler(handlers: {
        getTicket: GetTicket;
        setTicket: SetTicket;
    }): void;
}
