import { WechatBase } from '../Base';
export declare type GetToken = () => Promise<string>;
export declare type SetToken = (token: string) => Promise<any>;
export declare class TokenHandler {
    last?: Promise<string>;
    /**
     * 获取 AccessToken
     *
     * 该接口成功获取 token 之后会调用 setTokenHandler 传入的 setToken
     *
     * https://developers.weixin.qq.com/doc/offiaccount/Basic_Information/Get_access_token.html
     *
     */
    fetchToken(this: TokenHandler & WechatBase): Promise<string>;
    _fetchToken(this: TokenHandler & WechatBase): Promise<any>;
    getToken(this: TokenHandler & WechatBase): Promise<string>;
    setToken(_token: string): Promise<void>;
    setTokenHandler(handlers: {
        getToken: GetToken;
        setToken: SetToken;
    }): void;
}
