import { BaseWebAPI } from '../../WebAPI';
export declare type GetFollowersResult = {
    /** 关注该公众账号的总用户数 */
    total: number;
    /** 拉取的OPENID个数，最大值为10000 */
    count: number;
    data: {
        /** 列表数据，OPENID的列表 */
        openid: string[];
    };
    /** 拉取列表的最后一个用户的OPENID */
    next_openid: string;
};
export interface GetFollowers extends BaseWebAPI {
}
export declare class GetFollowers {
    /**
     * 获取关注者列表
     * https://developers.weixin.qq.com/doc/offiaccount/User_Management/Getting_a_User_List.html
     * @returns
     */
    getFollowers(options?: {
        /** 第一个拉取的OPENID，不填默认从头开始拉取 */
        next_openid?: string;
    }): Promise<GetFollowersResult>;
}
