import { BaseWebAPI } from '../../WebAPI';
export declare type UpdateRemarkResult = {
    errcode: number;
    errmsg: string;
};
export interface UpdateRemark extends BaseWebAPI {
}
export declare class UpdateRemark {
    /**
     * 更新用户备注名
     *
     * https://developers.weixin.qq.com/doc/offiaccount/User_Management/Configuring_user_notes.html
     *
     *
     */
    updateRemark(options: {
        /** 用户标识 */
        openid: string;
        /** 新的备注名，长度必须小于30字符 */
        remark: string;
    }): Promise<UpdateRemarkResult>;
}
